package com.kmall.admin.service.mk;

import com.kmall.admin.entity.mk.MkDistSellAllocationEntity;

import java.util.List;
import java.util.Map;

/**
 * 渠道销售分配，分销商针对某个商品sku的销售分配Service接口
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-04-09 18:04:46
 */
public interface MkDistSellAllocationService {

    /**
     * 根据主键查询实体
     *
     * @param id 主键
     * @return 实体
     */
    MkDistSellAllocationEntity queryObject(Integer sellAllocId);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<MkDistSellAllocationEntity> queryList(Map<String, Object> map);

    List<MkDistSellAllocationEntity> queryAllocationByMap(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param mkDistSellAllocation 实体
     * @return 保存条数
     */
    int save(MkDistSellAllocationEntity mkDistSellAllocation);

    /**
     * 根据主键更新实体
     *
     * @param mkDistSellAllocation 实体
     * @return 更新条数
     */
    int update(MkDistSellAllocationEntity mkDistSellAllocation);

    /**
     * 根据主键删除
     *
     * @param sellAllocId
     * @return 删除条数
     */
    int delete(Integer sellAllocId);

    /**
     * 根据主键批量删除
     *
     * @param sellAllocIds
     * @return 删除条数
     */
    int deleteBatch(Integer[] sellAllocIds);
}
